Out-of-Bounds

Affecting openssh package, versions <1:6.7p1-5+deb8u6

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

The shared memory manager (associated with pre-authentication compression) in sshd in OpenSSH before 7.4 does not ensure that a bounds check is enforced by all compilers, which might allows local users to gain privileges by leveraging access to a sandboxed privilege-separation process, related to the m_zback and m_zlib data structures.

References

CVSS Score

7.8
high severity
  • Attack Vector
    Local
  • Attack Complexity
    Low
  • Privileges Required
    Low
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
CVE
CVE-2016-10012
CWE
CWE-119
Snyk ID
SNYK-DEBIAN8-OPENSSH-368787
Disclosed
05 Jan, 2017
Published
05 Jan, 2017